Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.server
Class ServerTestCaseCaller

    java.lang.Object
      junit.framework.Assert
          org.apache.cactus.internal.server.ServerTestCaseCaller

public class ServerTestCaseCaller
extends junit.framework.Assert

Provide the ability to execute Cactus test case classes on the server side. It mimics the JUnit behavior by calling `setUp()`, `testXXX()` and `tearDown()` methods on the server side.

Version:
  $Id: ServerTestCaseCaller.java 238991 2004-05-22 11:34:50Z vmassol $

Constructor Summary
`ServerTestCaseCaller(junit.framework.Test theDelegatedTest, junit.framework.Test theWrappedTest)`

Method Summary
`junit.framework.Test` | `getDelegatedTest()`
`junit.framework.Test` | `getWrappedTest()`
`void` | `runBareInit()` Perform server side initializations before each test, such as initializating the logger.
`void` | `setDelegatedTest(junit.framework.Test theDelegatedTest)`
`void` | `setWrappedTest(junit.framework.Test theWrappedTest)`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerTestCaseCaller

    public ServerTestCaseCaller(junit.framework.Test theDelegatedTest,
                                junit.framework.Test theWrappedTest)

Parameters:
  `theDelegatedTest` - the test we are delegating for
  `theWrappedTest` - the test being wrapped by this delegate (or null if none)

Method Detail

### setWrappedTest

    public void setWrappedTest(junit.framework.Test theWrappedTest)

  Parameters:
    `theWrappedTest` - the pure JUnit test that we need to wrap

### getWrappedTest

    public junit.framework.Test getWrappedTest()

  Returns:
    the wrapped JUnit test

### setDelegatedTest

    public void setDelegatedTest(junit.framework.Test theDelegatedTest)

  Parameters:
    `theDelegatedTest` - the test we are delegating for

### getDelegatedTest

    public junit.framework.Test getDelegatedTest()

  Returns:
    the test we are delegating for

### runBareInit

    public void runBareInit()

  Perform server side initializations before each test, such as initializating the logger.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.